#
# sgpk06.rb
#
# $Id: sgpk06.rb,v 1.1 2000/11/21 03:02:08 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math


N = 37
x = NArray.sfloat(N)
y = NArray.sfloat(N)

#-- data ---
dt = 2.0* 3.14159 / (N-1)
r = 0.2
for i in 0..N-1
  x[i] = r*sin(dt*i) + 0.5
  y[i] = r*cos(dt*i) + 0.5
end

xc = 0.5
yc = 0.5

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws

#----------------------------- page 1 ---------------------------------
sgfrm
sgstxi(3)
sgspli(2)
#     XMIN, XMAX, YMIN, YMAX
sgswnd(0.0,  1.0,  0.0,  1.0)
sgsvpt(0.0,  1.0,  0.0,  1.0)
sgstrn(1)
sgstrf

slpvpr(1)
sgplu(N, x, y)                      # <-- 
sgtxu(xc, yc, 'SGTXU')              # <-- ƥ

#----------------------------- page 2 ---------------------------------
sgfrm
#     XMIN, XMAX, YMIN, YMAX
sgswnd(0.0,  1.0,  0.0,  1.0)       # <-- 1x1
sgsvpt(0.1,  0.4,  0.6,  0.9)       # <-- view port
sgstrn(1)
sgstrf

slpvpr(1)
sgplu(N, x, y)                      # <-- 
sgtxu(xc, yc, 'SGTXU')              # <-- ƥ

#     XMIN, XMAX, YMIN, YMAX
sgswnd(0.0,  1.0,  0.3,  0.7)       # <-- 椬window
sgsvpt(0.6, 0.9, 0.6, 0.9)
sgstrn(1)
sgstrf

slpvpr(1)
sgplu(N, x, y)                      # <-- 
sgtxu(xc, yc, 'SGTXU')              # <-- ƥ

#     XMIN, XMAX, YMIN, YMAX
sgswnd(0.0,  1.0, -0.5,  0.5)       # <-- Ϥ߽Ф window
sgsvpt(0.1, 0.4, 0.1, 0.4)
sgstrn(1)
sgstrf

slpvpr(1)
sgplu(N, x, y)                      # <-- 
sgtxu(xc, yc, 'SGTXU')              # <-- ƥ

sglset('LCLIP', true)               # <-- åԥ
#     XMIN, XMAX, YMIN, YMAX
sgswnd(0.0,  1.0, -0.5, 0.5)
sgsvpt(0.6,  0.9,  0.1, 0.4)
sgstrn(1)
sgstrf

slpvpr(1)
sgplu(N, x, y)                      # <-- 
sgtxu(xc, yc, 'SGTXU')              # <-- ƥ

sgcls

